Bug 557976 - Cannot install using ISO from read-only file system
Cannot install using ISO from read-only file system
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
: 562765 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-22 17:42 EST by John Ruemker
Modified: 2010-11-17 14:03 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-17 14:03:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Ruemker 2010-01-22 17:42:17 EST
Description of problem: When specifying an ISO image as the CDROM for a kvm guest in virt-manager or virt-install, a traceback is thrown.  Previous versions have always allowed read-only ISO images.


Version-Release number of selected component (if applicable):

# rpm -q libvirt virt-manager python-virtinst
libvirt-0.7.1-15.fc12.x86_64
virt-manager-0.8.2-1.fc12.noarch
python-virtinst-0.500.1-2.fc12.noarch

How reproducible: Always


Steps to Reproduce:

  # virt-install -n test -r 512 --arch=x86_64 --vcpus=1 --os-type=linux --os-variant=rhel5 -c /path/to/ro-mounted-nfs/rhel5.iso --disk path=/dev/virt/test -w bridge=peth0
  
Actual results:

Starting install...
ERROR    internal error unable to start guest: libvir: QEMU error : cannot set ownership on /path/to/ro-mounted-nfs/rhel5.iso: Read-only file system

Domain installation may not have been
 successful.  If it was, you can restart your domain
 by running 'virsh start test'; otherwise, please
 restart your installation.
ERROR    internal error unable to start guest: libvir: QEMU error : cannot set ownership on /path/to/ro-mounted-nfs/rhel5.iso: Read-only file system
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 943, in <module>
    main()
  File "/usr/sbin/virt-install", line 839, in main
    start_time, guest.start_install)
  File "/usr/sbin/virt-install", line 894, in do_install
    dom = install_func(conscb, progresscb, wait=(not wait))
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 660, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 758, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1077, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error unable to start guest: libvir: QEMU error : cannot set ownership on /path/to/ro-mounted-nfs/rhel5.iso: Read-only file system


Expected results:  Installation proceeds 

Additional info:
Comment 1 Cole Robinson 2010-03-16 11:56:00 EDT
*** Bug 562765 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2010-11-03 20:10:55 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 John Ruemker 2010-11-16 13:20:24 EST
Issue is no longer present in F14 (virt-manager-0.8.5-1.fc14, libvirt-0.8.3-2.fc14).

Thanks

-John
Comment 5 Cole Robinson 2010-11-17 14:03:36 EST
Closing against F14 per comment #4

Note You need to log in before you can comment on or make changes to this bug.